import App from './App'
import uView from '@/uni_modules/uview-ui'
import store from '@/store';
Vue.use(uView)
// #ifndef VUE3
import Vue from 'vue'
// main.js

import './uni.promisify.adaptor'

Vue.config.productionTip = false
App.mpType = 'app'
import {mixin} from './utils/wxShare.js'
Vue.mixin(mixin)
// 引入vuex
const vuexStore = require("@/store/$u.mixin.js");
Vue.mixin(vuexStore);

// 创建对象
const app = new Vue({
	store,
    ...App
});
import httpInstall from '@/http/install.js'
Vue.use(httpInstall, app)

import http from '@/http/api.js'
Vue.prototype.$http = http

// 公共函数
import globalFunc from '@/utils/func.js'
Vue.use(globalFunc, app);
app.$mount()
// #endif